import Foundation
import AppKit

func executeOmniGraffleScript (scriptString:String) {
	let encodedScript = scriptString.addingPercentEncoding(withAllowedCharacters:.alphanumerics)
	let omniAScriptURLStr = "omnigraffle://localhost/omnijs-run?script=" + encodedScript!
	let url = URL(string: omniAScriptURLStr)
	NSWorkspace.shared.open(url!)
}

func executeOmniOutlinerScript (scriptString:String) {
	let encodedScript = scriptString.addingPercentEncoding(withAllowedCharacters:.alphanumerics)
	let omniAScriptURLStr = "omnioutliner://localhost/omnijs-run?script=" + encodedScript!
	let url = URL(string: omniAScriptURLStr)
	NSWorkspace.shared.open(url!)
}

var OmniGraffleScript = """
var aRect = new Rect(100,100,200,200)
var aFillColor = Color.RGB(0, 0, 1, 1)
var aStrokeColor = Color.red
cnvs = document.windows[0].selection.canvas
var aShape = cnvs.addShape('Circle',aRect)
aShape.strokeThickness = 12
aShape.fillColor = aFillColor
aShape.strokeColor = aStrokeColor
"""

var OmniOutlinerScript = """
names = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday"]
names.forEach(function(name){
	rootItem.addChild(null,function(item){item.topic = name})
})
"""

executeOmniGraffleScript(scriptString:OmniGraffleScript)
// executeOmniOutlinerScript(scriptString:OmniOutlinerScript)